Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class ApplicationConfig

    java.lang.Object
      |
      +--org.apache.struts.config.impl.ModuleConfigImpl
            |
            +--org.apache.struts.config.ApplicationConfig

All Implemented Interfaces:
  ModuleConfig, java.io.Serializable

Deprecated. Usage replaced by ModuleConfig Interface.

public class ApplicationConfig
extends ModuleConfigImpl

The collection of static configuration information that describes a Struts-based application module. Multiple application modules are identified by a prefix at the beginning of the context relative portion of the request URI. If no application prefix can be matched, the default configuration (with a prefix equal to a zero-length string) is selected, which is elegantly backwards compatible with the previous Struts behavior that only supported one application.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003/08/22 08:14:31 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.impl.ModuleConfigImpl
`actionConfigs, actionMappingClass, configured, controllerConfig, dataSources, exceptions, formBeans, forwards, messageResources, plugIns, prefix`

Constructor Summary
`ApplicationConfig(ModuleConfigImpl moduleConfig)` Deprecated. Only used while we are deprecating ApplicationConfig to insure maximum compatability.
`ApplicationConfig(java.lang.String prefix)` Deprecated. Construct an ApplicationConfig object according to the specified parameter values.

Methods inherited from class org.apache.struts.config.impl.ModuleConfigImpl
`addActionConfig, addDataSourceConfig, addExceptionConfig, addFormBeanConfig, addForwardConfig, addMessageResourcesConfig, addPlugInConfig, findActionConfig, findActionConfigs, findDataSourceConfig, findDataSourceConfigs, findExceptionConfig, findExceptionConfigs, findFormBeanConfig, findFormBeanConfigs, findForwardConfig, findForwardConfigs, findMessageResourcesConfig, findMessageResourcesConfigs, findPlugInConfigs, freeze, getActionMappingClass, getConfigured, getControllerConfig, getPrefix, removeActionConfig, removeDataSourceConfig, removeExceptionConfig, removeFormBeanConfig, removeForwardConfig, removeMessageResourcesConfig, setActionMappingClass, setControllerConfig, setPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationConfig

    public ApplicationConfig(java.lang.String prefix)

  Deprecated.
  Construct an ApplicationConfig object according to the specified parameter values.

Parameters:
  `prefix` - Context-relative URI prefix for this module

### ApplicationConfig

    public ApplicationConfig(ModuleConfigImpl moduleConfig)

  Deprecated. Only used while we are deprecating ApplicationConfig to insure maximum compatability.

  Only used while we are deprecating ApplicationConfig. performs a shallow copy to ensure that any operations performed on an ApplicationConfig object is performed on the same underlying ModuleConfigImpl sub objects

Parameters:
  `moduleConfig` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation